Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class Namespaces

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              org.apache.axis.wsdl.toJava.Namespaces

All Implemented Interfaces:
  Cloneable, Map, Serializable

public class Namespaces
extends HashMap

This class is essentially a HashMap of pairs with a few extra wizzbangs.

See Also:
  Serialized Form

Constructor Summary
`Namespaces(String root)` Instantiate a Namespaces object whose packages will all reside under root.

Method Summary
`Object` | `clone()` Instantiate a clone of this Namespaces object.
`String` | `getAsDir(String key)` Get the package name in directory format (dots replaced by slashes).
`String` | `getCreate(String key)` Get the package name for the given namespace.
`void` | `mkdir(String pkg)` Make a directory for the given package under root.
`void` | `putAll(Map map)` Like HashMap's putAll, this adds the given map's contents to this map.
`void` | `setDefaultPackage(String defaultPackage)` Set a package name that overrides the namespace map
`String` | `toDir(String pkg)` Return the given package name in directory format (dots replaced by slashes).

Methods inherited from class java.util.HashMap
`clear, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### Namespaces

    public Namespaces(String root)

  Instantiate a Namespaces object whose packages will all reside under root.

Method Detail

### clone

    public Object clone()

  Instantiate a clone of this Namespaces object.

### getCreate

    public String getCreate(String key)

  Get the package name for the given namespace. If there is no entry in the HashMap for this namespace, create one.

### getAsDir

    public String getAsDir(String key)

  Get the package name in directory format (dots replaced by slashes). If the package name doesn't exist in the HashMap, return "".

### toDir

    public String toDir(String pkg)

  Return the given package name in directory format (dots replaced by slashes). If pkg is null, "" is returned.

### putAll

    public void putAll(Map map)

  Like HashMap's putAll, this adds the given map's contents to this map. But it also makes sure the value strings are javified.

### mkdir

    public void mkdir(String pkg)

  Make a directory for the given package under root.

### setDefaultPackage

    public void setDefaultPackage(String defaultPackage)

  Set a package name that overrides the namespace map

  Parameters:
    `defaultPackage` - a java package name (e.g. com.foo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.